using GatewaySCO;
using Serilog;
using Gk = SCOGateway.POSGkPruebas;

/// <summary>
/// Instancia directorio de comandos de prueba de GK con cada
/// uno de los comandos.
/// </summary>
public class DispensaDirectorioCmdsGKPruebas : IDispensaDirectorioCmds
{
    /// <summary>
    /// Retorna directorio de comandos instanciado y poblado de
    /// comandos. 
    /// </summary>
    public static CreaDirectorioCmds Dispensa(Config config)
    {
        Log.Information("Instancia comandos de GK de prueba.");
        // Inicializa el entorno para los comandos.
        EntornoGK e = new EntornoGK();
        e.Language = config.Language;
        Entorno<EntornoGK>.Instancia.setDatos(e);

        return new IniciaDirectorioCmds()
            .AgregaCmd(new Gk.InitializeRequestCmdTest())
            .DirectorioCmds;
    }
}